## freedombox 24.26

=== debian/changelog ===
freedombox (24.26) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * tests: functional: Make first wizard run more robust
  * Makefile: Add i2p to list of apps to remove
  * container: Refactor nspawn specific operations into a separate class
  * container: Update FSID inside the image file to keep it bootable
  * container: Minor refactoring to reduce repeated code
  * container: Generalize language in output messages for VMs
  * container: Add support for VMs using libvirt
  * menu: Implement a helper method to lookup menu items using URL name
  * views: Implement retrieving breadcrumbs of a page
  * context_processors: Use breadcrumbs to highlight current section
  * menu: Ensure that all menu items have names for use by breadcrumbs
  * ui: Show breadcrumbs on deeper pages
  * ui: Don't show breadcrumbs in login and first wizard pages
  * views: Show exception details with the utility to show errors
  * ui: Handle and show most page load errors as alerts
  * middleware: Handle method not allowed errors and redirect
  * middleware: Handle page not found errors specially
  * diagnostics: Use generic handler to handle exceptions in diagnostics
  * backups: Fix issue with verifying remote server identity
  * backups: Fix issue with verifying SSH hosts with RSA key
  * backups: Fix issue clicking on schedule buttons with Bootstrap 5
  * system: Add tags to all remaining apps
  * actions: Allow privileged methods to be decorated again
  * backups: Parse borg errors from all operations and not just some
  * backups: Require POST method for mount/unmount operations
  * backups: Format better when showing archive time delete page
  * backups: Use ISO timestamp for auto-naming archives
  * backups: Handle common errors during borg operations
  * backups: tests: functional: Wait for pages to load after click
  * ui: Fix regression with margin above app title
  * networks: Fix error during creation of PPPoE connections

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)
  * tags: Add button to clear all tags
  * ui: Replace use of jQuery with plain JavaScript
  * debian: Remove dependency libjs-jquery
  * tags: Replace short description with tags in app pages
  * apps: Replace short description with tags in apps list
  * zoph: Include tags from the manifest
  * frontpage: Replace short description with tags
  * tags: Add tags to system apps
  * tags: Remove short description from system apps

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ தமிழ்நேரம் ]
  * Translated using Weblate (Tamil)

  [ James Valleroy ]
  * Translated using Weblate (Tamil)
  * minetest: Provide default gameid argument
  * torproxy: Don't disable apt-transport-tor in setup
  * backups: Remove unused import contextlib
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * tor, torproxy: Fix daemon services are running after reboot when app is
    disabled
  * tests: functional: Add utility to click element wait for page update
  * samba: tests: functional: Wait for page update after enable/disable share
  * sharing: tests: functional: Use click function from functional library
  * mediawiki: tests: functional: Use click function from functional library
  * miniflux: tests: functional: Use helper functions from functional library
  * users: tests: functional: Use click function from functional library
  * users: Restart nslcd service after configuration changes during setup
  * tests: functional: Fix typos in diagnostics checks

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 30 Dec 2024 20:35:49 -0500

freedombox (24.25) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Paul Lettich ]
  * Translated using Weblate (German)

  [ John Doe ]
  * Translated using Weblate (French)

  [ Sunil Mohan Adapa ]
  * tags: Fix issue with JS init on a page without tags
  * notifications: Don't error when dismissing missing notifications
  * help: Add a class to the help index page
  * ui: Align app icons in the center for home, apps, and help pages
  * ui: Allow users to provide a CSS file to customize styling
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * ui: Switch to using bootstrap 5 (Closes: #1088412, #1088577)
  * networks: Fix minor typo in template related to signal strength
  * ui: Drop use of badge-* utility classes for newer replacements
  * apache: Relax content security policy to allow data: URL
  * networks: Use new accordion component from Bootstrap 5
  * networks: Fix issue with loading create PPPoE form
  * firewalld: Reduce severity for alert about service on internal zone
  * help: Update the privacy notice on status log page
  * diagnostics: Fix trimming an i18n string
  * matrixsynapse: Fix trimming an i18n string
  * ui: Use Bootstrap 5 styling for all alerts
  * power: Refactor display of package manager busy alerts
  * ui: Rename data- attributes to data-bs- for Bootstrap 5
  * ui: app, system: Revert to earlier width for card lists
  * ui: Show disabled form elements as grey for Bootstrap 5
  * ui: Fix overflow of exception text in message
  * ui: users: Fix close button for confirmation dialog for Bootstrap 5
  * ui: app: Fix an incorrect HTML tag nesting
  * ui: Reduce the gap at the top of the pages


=== debian/control ===
Source: freedombox
Section: web
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Piotr Ożarowski <piotr@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
 Nick Daly <Nick.M.Daly@gmail.com>,
 Federico Ceratto <federico@debian.org>,
 James Valleroy <jvalleroy@mailbox.org>,
Build-Depends:
 debhelper-compat (= 13),
 dblatex,
 dh-python,
 docbook-xsl,
 e2fsprogs,
 gir1.2-nm-1.0,
 libjs-bootstrap5,
 pybuild-plugin-pyproject,
 python3-all:any,
 python3-apt,
 python3-augeas,
 python3-bootstrapform,
 python3-build,
 python3-cherrypy3,
 python3-configobj,
 python3-cryptography,
 python3-dbus,
 python3-django,
 python3-django-axes,
 python3-django-captcha,
# Explictly depend on ipware as it is optional dependecy of django-axes
 python3-django-ipware,
 python3-django-stronghold,
 python3-gi,
 python3-markupsafe,
 python3-mypy,
 python3-pampy,
 python3-pexpect,
 python3-pip,
 python3-psutil,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-pytest-runner,
 python3-requests,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-setuptools-git,
# python3-tomli is needed by python3-coverage when pyproject.toml is used
 python3-tomli,
 python3-typeshed,
 python3-yaml,
 sshpass,
 xmlto,
 xsltproc
Standards-Version: 4.6.2
Homepage: https://salsa.debian.org/freedombox-team/freedombox
Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
Rules-Requires-Root: no

Package: freedombox
Breaks:
# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
 fuse (<< 3),
# If ufw is installed, remove it. See issue 2247.
 ufw,
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${freedombox:Depends},
 adduser,
 augeas-tools,
 curl,
 debconf,
 dnsutils,
 e2fsprogs,
 fonts-fork-awesome,
 fonts-lato,
# sgdisk is used in storage app to expand GPT disks
 gdisk,
 gettext,
 gir1.2-glib-2.0,
 gir1.2-nm-1.0,
 javascript-common,
 ldapscripts,
# For gdbus used to call hooks into service
 libglib2.0-bin,
 libjs-bootstrap5,
 lsof,
 netcat-openbsd,
 network-manager,
 ppp,
 pppoe,
 python3-apt,
 python3-argon2,
 python3-augeas,
 python3-bootstrapform,
 python3-cherrypy3,
 python3-configobj,
 python3-dbus,
 python3-django,
 python3-django-axes,
 python3-django-captcha,
# Explictly depend on ipware as it is optional dependecy of django-axes
 python3-django-ipware,
 python3-django-stronghold,
 python3-gi,
 python3-markupsafe,
 python3-pampy,
 python3-pexpect,
 python3-psutil,
 python3-requests,
 python3-ruamel.yaml,
 python3-systemd,
 python3-yaml,
 sudo,
 wget,
# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
 fuse3,
Recommends:
# Wifi firmware
 firmware-ath9k-htc,
# FreedomBox documentation
 freedombox-doc-en,
 freedombox-doc-es,
# Resolve .local address using mDNS
 libnss-mdns,
# Resolve current hostname without /etc/hosts
 libnss-myhostname,
# Block repeated failed PAM login attempts
 libpam-abl,
# Priority: standard
 locales,
# Precompiled data for all locales
 locales-all,
# Priority: standard
 openssh-client,
# Used by unattended-upgrades to check if running on AC power
 powermgmt-base,
# fuser, killall, pstree and other utilities
 psmisc,
Description: easy to manage, privacy oriented home server
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package provides the FreedomBox Service (Plinth) which installs,
 configures and manages all functions of FreedomBox. The service is managed
 using a web interface available at https://localhost/.

Package: freedombox-doc-en
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: easy to manage, privacy oriented home server - user manual (English)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package contains the English user manual in HTML and PDF formats. It
 describes how to setup and use each application in FreedomBox and FreedomBox
 itself. It is accessible from Help menu in the FreedomBox web interface.

Package: freedombox-doc-es
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: easy to manage, privacy oriented home server - user manual (Spanish)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package contains the Spanish user manual in HTML and PDF formats. It
 describes how to setup and use each application in FreedomBox and FreedomBox
 itself. It is accessible from Help menu in the FreedomBox web interface.

## freedombox 24.26.1

=== debian/changelog ===
freedombox (24.26.1) unstable; urgency=medium

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Benedek Nagy ]
  * nextcloud: remove experimental warning
  * email: Fix DKIM signing by setting correct ownership on private keys

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * mumble: Support config file moved into /etc/mumble
  * mumble: Add diagnostic for setup config changes

  [ Sunil Mohan Adapa ]
  * sharing: Drop jQuery code as the library dependency has been removed
  * users: Drop jQuery code as the library dependency has been removed

  [ Coucouf ]
  * Translated using Weblate (French)

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 05 Jan 2025 12:17:03 -0500

## freedombox 25.1

=== debian/changelog ===
freedombox (25.1) unstable; urgency=medium

  [ gfbdrgng ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Sunil Mohan Adapa ]
  * ui: Update section header style to increase size, remove underline
  * ui: Fix missing variables in Bootstrap 5.2/Debian stable
  * web_framework: Disable caching templates files in development mode
  * ui: Drop remnants of already removed background images
  * ui: js: Load all JS files in deferred mode to speed up page load
  * ui: Don't place JS file at the bottom of the page
  * miniflux: Ignore an type check error with pexpect library
  * app: Allow apps to instantiate without Django initialization
  * app: Add tags to menu and frontpage components
  * doc: dev: Remove short description and add tags to all components
  * app: Stop showing short description on installation page
  * apps: Only show app tags all the tags in apps page search box
  * views: Use tags from menu or shortcut instead of the app
  * privacy: Introduce utility to lookup external IP address
  * privacy: Add option in UI to set lookup URL for public IPs
  * privacy: Show notification for privacy settings again
  * dynamicdns: Use the public IP lookup URL from privacy app
  * email: Create DKIM keys for all known domains
  * email: Show DNS entries for all domains instead of just primary
  * backups: Handle error when there is not enough space on disk
  * backups: Add warning that services may become unavailable
  * backups: Properly cleanup after downloading an archive
  * backups: Make all generated archive names consistent
  * email: Fix regression error when installing/operation app

  [ Veiko Aasa ]
  * deluge: tests: functional: Fix deluge client logged in detection

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Benedek Nagy ]
  * email: Show reverse DNS entries to be configured

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 13 Jan 2025 21:13:33 -0500

## freedombox 25.3.1

=== debian/changelog ===
freedombox (25.3.1) unstable; urgency=medium

  [ Benedek Nagy ]
  * email: fix fresh installation issue

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 15 Feb 2025 17:40:30 -0500

freedombox (25.3) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * debian: Switch from dnsutils to bind9-dnsutils (Closes: #1094944)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ pesder ]
  * Translated using Weblate (Chinese (Traditional Han script))

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 10 Feb 2025 20:59:35 -0500

freedombox (25.2) unstable; urgency=medium

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Sunil Mohan Adapa ]
  * action_utils: Implement methods to get/set the systemd boot target
  * gnome: Add app to provide a graphical desktop environment
  * gnome: Add changes missing from branch merge
  * ui: Fix missing arrow on dropdown form fields
  * nextcloud: tests: functional: Set override domain testing on VM
  * nextcloud: tests: functional: Fix test for modified structure of UI
  * ui: Drop the temporary fix for missing popper.js 2.0
  * firewall, networks, storage: Drop polkit pkla files
  * d/control: Fix incorrect comment format
  * d/copyright: Fix copyright entry for GNOME app icons
  * ui: Fix tag separator not showing on some machines
  * email: Recommend Thunderbird Mobile instead of K-9 Mail
  * miniflux: Add management of postgresql daemon in a shared manner
  * ttrss: Add management of postgresql daemon in a shared manner
  * wordpress: Order daemon enable/disable correctly
  * db: Add more utilities for managing PostgreSQL databases
  * ttrss: Fix issue with installing after uninstalling
  * nextcloud: Drop some dead code
  * apache: Enable expires module by default

  [ Benedek Nagy ]
  * email: Make rspamd learn spam/ham when the user marks mails as junk or
    not junk
  * sogo: Add a new app for SOGo groupware

  [ pesder ]
  * Translated using Weblate (Chinese (Traditional Han script))

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 27 Jan 2025 21:07:10 -0500

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,8 @@
  e2fsprogs,
  gir1.2-nm-1.0,
  libjs-bootstrap5,
+# Older libjs-bootstrap5 does not have proper dependency on popper.js >= 2.0
+ node-popper2,
  pybuild-plugin-pyproject,
  python3-all:any,
  python3-apt,
@@ -75,9 +77,9 @@
  ${freedombox:Depends},
  adduser,
  augeas-tools,
+ bind9-dnsutils,
  curl,
  debconf,
- dnsutils,
  e2fsprogs,
  fonts-fork-awesome,
  fonts-lato,
@@ -94,6 +96,8 @@
  lsof,
  netcat-openbsd,
  network-manager,
+# Older libjs-bootstrap5 does not have proper dependency on popper.js >= 2.0
+ node-popper2,
  ppp,
  pppoe,
  python3-apt,

=== debian/tests/control ===
#
# Smoke test to check various basics on an installed version of Plinth. This
# checks that the following aspects are working okay:
#   - Python runtime
#   - Python library dependencies
#   - FreedomBox configuration
#   - Ability to create and initialize database
#   - Module inititailzation for essential modules
#
Test-Command: plinth --list-apps 2> /dev/null
Restrictions: needs-root, breaks-testbed

#
# Run unit and integration tests on installed files.
#
Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/' py.test-3 -p no:cacheprovider --cov=plinth --cov-report=html:debci/htmlcov --cov-report=term
Depends: git, python3-pytest, python3-pytest-cov, python3-pytest-django, python3-tomli, @
Restrictions: breaks-testbed

## freedombox 25.6

=== debian/changelog ===
freedombox (25.6) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * setup: Fix a minor flake8 complaint
  * doc: Fetch latest manual
  * container: Allow taking snapshots of VMs
  * upgrades: Run dpkg/apt fixes before dist upgrade
  * names: Store domains in kvstore instead of /etc/hosts
  * container: Don't remove qcow2 image when terminating VM
  * operation: Drop type annotations on enum members
  * storage: tests: Fix a test failure for psutils >= 7.0

  [ Dietmar ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * tests: functional: Add enable-all-apps script
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Benedek Nagy ]
  * SOGo: add dpkg-dev to the package list
  * syncthing: Extend setup process to recover from manual config errors

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 25 Mar 2025 10:09:07 -0400

freedombox (25.5) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * sogo: Fix a typo in tags
  * ui: tags: Show tags on all cards pages if present
  * ui: tags: Minor refactoring in menu filtering and sorting
  * ui: tags: Add tag search/filter for system page
  * ui: tags: Redirect to apps or system page appropriately
  * ui: Minor change with renaming a variable
  * ui: system: When canceling search stay on current page
  * upgrades: Split dist upgrade into a separate module
  * upgrades: Drop special handling for searx
  * upgrades: Refactor code to disable snapshots
  * upgrades: Refactor code for disabling Quassel during dist-upgrade
  * upgrades: Use systemd-run to create transient service
  * upgrades: Refactor code to hold packages
  * upgrades: Split the main dist upgrade code
  * upgrades: Relax list of packages to hold during dist upgrade
  * upgrades: Perform sources file update more reliably
  * upgrades: Refactor code to retrieve the new codename
  * upgrades: Use systemd service status instead of flag file
  * upgrades: Simplify dist upgrades checks using exceptions
  * upgrades: Log apt output to journal during dist upgrade
  * upgrades: Log messages using python logging framework
  * upgrades: Simplify some global names
  * action_utils: Ensure that package are unheld if dist upgrade fails
  * upgrades: Perform easier checks first during dist upgrade
  * upgrades: tests: Add unit tests for dist upgrade methods
  * upgrades: Minor refactor to pre-dist upgrade checks
  * upgrades: Use bind mounts to edit sources file only upon completion
  * setup: Fix issue with pending app update and force upgrade

  [ Максим Горпиніч ]
  * Translated using Weblate (Ukrainian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 10 Mar 2025 20:52:29 -0400

freedombox (25.4.1) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * debian: Move e2fsprogs to Recommends
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 02 Mar 2025 13:11:58 -0500

freedombox (25.4) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * dynamicdns: Implement adding multiple domains
  * names: Use hostnamectl instead of socket API get the current hostname
  * names: domain type: Minor refactor
  * dynamicdns: Add/remove domains when app is enabled/disabled
  * dynamicdns: List domains that have not had status update yet
  * names: Add more URLs to the domain type component
  * names: Simplify showing current and available domains
  * names: Allow adding multiple static domain names
  * dynamicdns: Show specific operations on domains in Names apps
  * names: Simplify/clarify domain names types for static/dynamic
  * names: Specify priority order among domain types
  * names: Sort domains by priority of their domain types
  * pyproject: Ignore missing types for numpy (needed by pytest)
  * names: Retrieve the most important domain in a more generic way
  * names: Handle addition of duplicate static domains
  * dynamicdns: Handle addition of duplicate domains

  [ James Valleroy ]
  * matrixsynapse: tests: Fix adding domain
  * container: Fix spelling of 'destroy'
  * upgrades: Inhibit shutdown during dist-upgrade
  * upgrades: Drop unattended-upgrade call from dist-upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ sai ]
  * Translated using Weblate (Telugu)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Feb 2025 20:46:34 -0500

=== debian/control ===
--- 
+++ 
@@ -80,7 +80,6 @@
  bind9-dnsutils,
  curl,
  debconf,
- e2fsprogs,
  fonts-fork-awesome,
  fonts-lato,
 # sgdisk is used in storage app to expand GPT disks
@@ -127,6 +126,8 @@
 # Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
  fuse3,
 Recommends:
+# Temporarily moved from Depends due to piuparts bug #1010967.
+ e2fsprogs,
 # Wifi firmware
  firmware-ath9k-htc,
 # FreedomBox documentation

## freedombox 25.9~bpo12+1

=== debian/changelog ===
freedombox (25.9~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 21 May 2025 01:19:34 -0400

freedombox (25.9) unstable; urgency=medium

  [ klu2300030052 ]
  * Translated using Weblate (Telugu)

  [ klu2300090005 ]
  * Translated using Weblate (Hindi)

  [ John Doe ]
  * Translated using Weblate (French)

  [ Bekkam B S M G Babi ]
  * Translated using Weblate (Telugu)

  [ Thulasi Edhala ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Hindi)

  [ swaroop02-cse ]
  * Translated using Weblate (Telugu)

  [ Torra-Merin ]
  * Added translation using Weblate (Catalan)
  * Translated using Weblate (Catalan)

  [ Sunil Mohan Adapa ]
  * minetest: Work with new luanti binary in Trixie
  * minetest: Create the configuration directory if necessary for Trixie

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 05 May 2025 20:29:19 -0400

freedombox (25.8~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 03 May 2025 06:55:54 -0400

freedombox (25.8) unstable; urgency=medium

  [ James Valleroy ]
  * upgrades: Cleanup use of return value from _apt_run
  * Translated using Weblate (Telugu)
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ DeepikaReddy ]
  * Translated using Weblate (Telugu)

  [ Parimi Pujitha ]
  * Translated using Weblate (Telugu)

  [ Jahnavi Lakshmi yerramsetty ]
  * Translated using Weblate (Telugu)

  [ Tejaswi1305 ]
  * Translated using Weblate (Telugu)

  [ ANNAPUREDDY RAKSHITHA ]
  * Translated using Weblate (Telugu)

  [ Gundumi Sri Krishna Sudhindra ]
  * Translated using Weblate (Telugu)

  [ SNEHA LATHA REDDY ]
  * Translated using Weblate (Telugu)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Максим Горпиніч ]
  * Translated using Weblate (Ukrainian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Sunil Mohan Adapa ]
  * sogo: Adjust apache configuration to work on Trixie
  * distupgrade: Use new configuration file instead of halting upgrade
  * bind: Keep configuration during distribution upgrades
  * zoph: Don't fail while uninstalling
  * zoph: Don't use mod-php instead continue to use php-fpm
  * upgrades: Allow packages to be upgraded from stable-updates

  [ tuliogit ]
  * Translated using Weblate (Portuguese)

  [ Vemula Sai Ruchitha ]
  * Translated using Weblate (Telugu)

  [ Joshethapolireddy ]
  * Translated using Weblate (Telugu)

  [ varun ]
  * Translated using Weblate (Telugu)

  [ 2300031832 ]
  * Translated using Weblate (Telugu)

  [ klu2300032597 ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Hindi)

  [ Sripath Roy Koganti ]
  * Translated using Weblate (Telugu)

  [ SHAIK SHAREEF ]
  * Translated using Weblate (Telugu)

  [ Nikhil501 ]
  * Translated using Weblate (Telugu)

  [ Annangi srinivasulu ]
  * Translated using Weblate (Telugu)

  [ Jyothiraditya Vangalapudi ]
  * Translated using Weblate (Telugu)

  [ sarvani susarla ]
  * Translated using Weblate (Telugu)

  [ Arshadashu ]
  * Translated using Weblate (Telugu)

  [ Harshitha Chandra ]
  * Translated using Weblate (Telugu)

  [ Sk juber ]
  * Translated using Weblate (Telugu)

  [ KURRA ROOPKANTH ]
  * Translated using Weblate (Telugu)

  [ jeevana sravya ]
  * Translated using Weblate (Telugu)

  [ sowmya surampalli ]
  * Translated using Weblate (Telugu)

  [ vivek krishna ]
  * Translated using Weblate (Telugu)

  [ chilumula vamshi krishna ]
  * Translated using Weblate (Telugu)

  [ kotibannu541 ]
  * Translated using Weblate (Telugu)

  [ Sanjanaa2703 ]
  * Translated using Weblate (Telugu)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ Harsh ]
  * Translated using Weblate (Hindi)

  [ Valurouthu Jashwanth ]
  * Translated using Weblate (Hindi)

  [ Varun Sharma ]
  * Translated using Weblate (Hindi)

  [ Veiko Aasa ]
  * container: Fix waiting until plinth setup is finished when running tests
  * users: Fix unable to delete user

  [ bsurajpatra ]
  * Translated using Weblate (Hindi)

  [ Alimilla-Abhinandan ]
  * Translated using Weblate (Telugu)

  [ PALCHURI BHAVYA VARSHA ]
  * Translated using Weblate (Telugu)

  [ MohammedMutee ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Arabic)

  [ klu2300090005 ]
  * Translated using Weblate (Hindi)

  [ Leo Stephen Maduri ]
  * Translated using Weblate (Hindi)

  [ MohammedSaalif ]
  * Translated using Weblate (Hindi)
  * Translated using Weblate (Arabic)

  [ Gourav Ray ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Hindi)

  [ klu2300033421 ]
  * Translated using Weblate (Telugu)

  [ Bekkam B S M G Babi ]
  * Translated using Weblate (Telugu)

  [ klu2300030052 ]
  * Translated using Weblate (Telugu)

  [ Aryan Raj ]
  * Translated using Weblate (Hindi)

  [ harini132 ]
  * Translated using Weblate (Telugu)

  [ 2300090024 ]
  * Translated using Weblate (Telugu)

  [ vyshnaviJammi ]
  * Translated using Weblate (Telugu)

  [ veena123-vee ]
  * Translated using Weblate (Telugu)

  [ saisankar333 ]
  * Translated using Weblate (Telugu)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 21 Apr 2025 20:27:59 -0400

freedombox (25.7~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 10 Apr 2025 07:59:09 -0400

freedombox (25.7) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * radicale: Explicitly set the auth type to accommodate radicale 3.5
  * tests: django: Fix a warning related to timezone settings
  * tests: Fix a warning with pytest setup
  * power: Disable sleep and hibernate on the system


## freedombox 25.9

=== debian/control ===
--- 
+++ 
@@ -51,6 +51,7 @@
  python3-ruamel.yaml,
  python3-setuptools,
  python3-setuptools-git,
+ python3-systemd,
 # python3-tomli is needed by python3-coverage when pyproject.toml is used
  python3-tomli,
  python3-typeshed,

## freedombox 25.9.1

=== debian/changelog ===
freedombox (25.9.1) unstable; urgency=medium

  [ Sripath Roy Koganti ]
  * Translated using Weblate (Telugu)

  [ kosagi ]
  * Translated using Weblate (Catalan)

  [ Максим Горпиніч ]
  * Translated using Weblate (Ukrainian)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 02 Jun 2025 20:16:21 -0400

## freedombox 25.9.2~bpo12+1

=== debian/changelog ===
freedombox (25.9.2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Set the branch for bookworm-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 30 Jun 2025 16:11:48 -0400

freedombox (25.9.2) unstable; urgency=medium

  [ Priit Jõerüüt ]
  * Added translation using Weblate (Estonian)
  * Translated using Weblate (Estonian)

  [ András Szűcs ]
  * Translated using Weblate (Hungarian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (German)

  [ James Valleroy ]
  * debian: Update debconf Portuguese translation (Closes: #1107447)
    - Thanks to Américo Monteiro for the patch.
  * performance: Handle install for trixie
  * debian: Set the branch for trixie
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 23 Jun 2025 21:13:48 -0400

freedombox (25.9.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 16 Jun 2025 19:40:01 -0400

## freedombox 25.9.3~bpo12+2

=== debian/changelog ===
freedombox (25.9.3~bpo12+2) bookworm-backports; urgency=medium

  [ Sunil Mohan Adapa ]
  * distupgrade: Handle comments in sources.list file
  * distupgrade: Update Trixie's release date as announced

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 11 Aug 2025 21:16:53 -0400

freedombox (25.9.3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 26 Jul 2025 06:55:27 -0400

freedombox (25.9.3) unstable; urgency=medium

  [ J AK ]
  * Translated using Weblate (Albanian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ kosagi ]
  * Translated using Weblate (Catalan)

  [ தமிழ்நேரம் ]
  * Translated using Weblate (Tamil)

  [ Benedek Nagy ]
  * sogo: Fix typo in configuration for sieve server
  * email: Add support for Dovecot 2.4

  [ Sunil Mohan Adapa ]
  * config: Allow overriding target path in dropin config component
  * email: Start servers during re-setup if they are not running

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Priit Jõerüüt ]
  * Translated using Weblate (Estonian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 21 Jul 2025 19:29:32 -0400

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
  xsltproc
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freedombox-team/freedombox
-Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
+Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git -b debian/bookworm-backports
 Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
 Rules-Requires-Root: no

## freedombox 25.9.3

=== Makefile ===
DJANGO_ADMIN := django-admin
INSTALL := install
PYTHON := python3
PYTEST_ARGS :=
CP_ARGS := --no-dereference --preserve=mode,timestamps --reflink=auto

ENABLED_APPS_PATH := $(DESTDIR)/usr/share/freedombox/modules-enabled

DISABLED_APPS_TO_REMOVE := \
    apps \
    coquelicot \
    diaspora \
    monkeysphere \
    owncloud \
    system \
    xmpp \
    disks \
    udiskie \
    restore \
    repro \
    tahoe \
    mldonkey \
    i2p

APP_FILES_TO_REMOVE := $(foreach app,$(DISABLED_APPS_TO_REMOVE),$(ENABLED_APPS_PATH)/$(app))

REMOVED_FILES := \
    $(DESTDIR)/etc/apt/preferences.d/50freedombox3.pref \
    $(DESTDIR)/etc/apache2/sites-available/plinth.conf \
    $(DESTDIR)/etc/apache2/sites-available/plinth-ssl.conf \
    $(DESTDIR)/etc/security/access.d/10freedombox-performance.conf \
    $(DESTDIR)/etc/security/access.d/10freedombox-security.conf

DIRECTORIES_TO_CREATE := \
    $(DESTDIR)/var/lib/plinth \
    $(DESTDIR)/var/lib/plinth/sessions

STATIC_FILES_DIRECTORY := $(DESTDIR)/usr/share/plinth/static
BIN_DIR := $(DESTDIR)/usr/bin

FIND_ARGS := \
    -not -iname "*.log" \
    -not -iname "*.pid" \
    -not -iname "*.py.bak" \
    -not -iname "*.pyc" \
    -not -iname "*.pytest_cache" \
    -not -iname "*.sqlite3" \
    -not -iname "*.swp" \
    -not -iname "\#*" \
    -not -iname ".*" \
    -not -iname "sessionid*" \
    -not -iname "~*" \
    -not -iname "django-secret.key" \
    -not -iwholename "*/.mypy_cache/*"


ROOT_DATA_FILES := $(shell find data -type f $(FIND_ARGS))
MODULE_DATA_FILES := $(shell find $(wildcard plinth/modules/*/data) -type f $(FIND_ARGS))

update-translations:
	cd plinth; $(DJANGO_ADMIN) makemessages --all --domain django --keep-pot --verbosity=1

configure:
	# Nothing to do

build:
	# Compile translations
	$(DJANGO_ADMIN) compilemessages --verbosity=1

	# Build documentation
	$(MAKE) -C doc -j 8

	# Build .whl package
	rm -f dist/plinth-*.whl
	$(PYTHON) -m build --no-isolation --skip-dependency-check --wheel

install:
	# Drop removed apps
	rm -f $(APP_FILES_TO_REMOVE)

	# Drop removed configuration files
	rm -f $(REMOVED_FILES)

	# Create data directories
	for directory in $(DIRECTORIES_TO_CREATE) ; do \
	    $(INSTALL) -d $$directory ; \
	done

	# Python package
	temp=$$(mktemp -d) && \
        lib_dir=$$($(PYTHON) -c 'import sysconfig; print(sysconfig.get_paths(scheme="deb_system")["purelib"])') && \
	$(PYTHON) -m pip install dist/plinth-*.whl --break-system-packages \
            --no-deps --no-compile --no-warn-script-location \
            --ignore-installed --target=$${temp} && \
        $(INSTALL) -d $(DESTDIR)$${lib_dir} && \
	rm -rf $(DESTDIR)$${lib_dir}/plinth $(DESTDIR)$${lib_dir}/plinth*.dist-info && \
        mv $${temp}/plinth $${temp}/plinth*.dist-info $(DESTDIR)$${lib_dir} && \
	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/COPYING.md && \
	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/direct_url.json && \
        $(INSTALL) -D -t $(BIN_DIR) bin/plinth

	# Actions
	$(INSTALL) -D -t $(DESTDIR)/usr/share/plinth/actions actions/actions

	# Static web server files
	rm -rf $(STATIC_FILES_DIRECTORY)
	$(INSTALL) -d $(STATIC_FILES_DIRECTORY)
	cp $(CP_ARGS) --recursive static/* $(STATIC_FILES_DIRECTORY)

	# System data files
	for file in $(ROOT_DATA_FILES) ; do \
	    target=$$(dirname $(DESTDIR)$$(echo $${file} | sed -e 's|^data||')) ; \
	    $(INSTALL) --directory --mode=755 $${target} ; \
	    cp $(CP_ARGS) $${file} $${target} ; \
	done
	for file in $(MODULE_DATA_FILES) ; do \
	    target=$$(dirname $(DESTDIR)$$(echo $${file} | sed -e 's|^plinth/modules/[^/]*/data||')) ; \
	    $(INSTALL) --directory --mode=755 $${target} ; \
	    cp $(CP_ARGS) $${file} $${target} ; \
	done

	# Documentation
	$(MAKE) -C doc install

check: check-type check-code check-doc check-tests

# Run the main test suite
check-tests:
	$(PYTHON) -m pytest $(PYTEST_ARGS)

# Tests with coverage report
check-tests-cov:
	$(PYTHON) -m pytest $(PYTEST_ARGS) --cov=plinth \
	    --cov-report=html:./htmlcov --cov-report=term

# Code quality checking using flake8
check-code:
	$(PYTHON) -m flake8 plinth actions/actions container

# Static type checking using mypy
check-type:
	$(PYTHON) -m mypy .

# Use doctest for check the wikiparser in doc directory
check-doc:
	$(PYTHON) -m doctest doc/scripts/wikiparser.py

clean:
	make -C doc clean
	rm -rf Plinth.egg-info
	find plinth/locale -name *.mo -delete

# Run basic setup for a developer environment (VM or container)
provision-dev:
	# Install newer build dependencies if any
	apt-get update
	DEBIAN_FRONTEND=noninteractive apt-get build-dep --yes .

	# Install latest code over .deb
	$(MAKE) build install

	# Reload newer systemd units, ignore failure
	-systemctl daemon-reload

	# Stop any ongoing upgrade, ignore failure
	-killall -9 unattended-upgr

	# Fix any broken packages
	dpkg --configure -a
	apt-get -f install
	apt-get update

	# Install new packages needed by essential apps. Don't uninstall
	# freedombox in case new dependencies conflict with old dependencies
	apt-mark hold freedombox
	DEBIAN_FRONTEND=noninteractive apt-get install --no-upgrade --yes \
	    $$(sudo -u plinth ./run --develop --list-dependencies)
	apt-mark unhold freedombox

	# DNS resolution may be broken by upgrade to systemd-resolved. See
	# #1079819 and ##1032937.
	-systemctl restart systemd-resolved
	-nmcli general reload dns-rc

	# Install additional packages
	DEBIAN_FRONTEND=noninteractive apt-get install --yes ncurses-term \
	    sshpass bash-completion

.PHONY: \
    build \
    check \
    check-code \
    check-doc \
    check-type \
    check-tests \
    check-tests-cov \
    clean \
    configure \
    install \
    provision \
    update-translations

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
  xsltproc
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freedombox-team/freedombox
-Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git -b debian/bookworm-backports
+Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git -b debian/trixie
 Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_DESTDIR=debian/tmp
export PYBUILD_SYSTEM=custom
export PYBUILD_CONFIGURE_ARGS=make configure
export PYBUILD_BUILD_ARGS=make PYTHON={interpreter} build
export PYBUILD_INSTALL_ARGS=make PYTHON={interpreter} DESTDIR={destdir} install
export PYBUILD_CLEAN_ARGS=make clean
export PYBUILD_TEST_ARGS=make PYTHON={interpreter} check-tests

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install-indep:
	dh_auto_install
	./run --develop --list-dependencies | sort | tr '\n' ', ' | \
		sed -e 's/^/freedombox:Depends=/' >> debian/freedombox.substvars
	# Ensure the list of dependencies is not empty.
	test -s debian/freedombox.substvars || exit 1

override_dh_installsystemd:
	# Do not enable or start any service other than FreedomBox service. Use
	# of --tmpdir is a hack to workaround an issue with dh_installsystemd
	# (as of debhelper 13.5.2) that still has hardcoded search path of
	# /lib/systemd/system for searching systemd services. See #987989 and
	# reversion of its changes.
	dh_installsystemd --tmpdir=debian/tmp/usr --package=freedombox plinth.service

=== debian/tests/control ===
--- 
+++ 
@@ -14,5 +14,5 @@
 # Run unit and integration tests on installed files.
 #
 Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/' py.test-3 -p no:cacheprovider --cov=plinth --cov-report=html:debci/htmlcov --cov-report=term
-Depends: git, python3-pytest, python3-pytest-cov, python3-pytest-django, python3-tomli, @
+Depends: e2fsprogs, git, python3-pytest, python3-pytest-cov, python3-pytest-django, python3-tomli, @
 Restrictions: breaks-testbed

## freedombox 25.9.3+deb13u1

=== debian/changelog ===
freedombox (25.9.3+deb13u1) trixie; urgency=medium

  [ Sunil Mohan Adapa ]
  * distupgrade: Handle comments in sources.list file
  * distupgrade: Update Trixie's release date as announced
  * backups: Set proper permissions for backups-data directory (CVE-2025-68462)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 18 Dec 2025 08:48:51 -0500

## freedombox 25.9.4

=== debian/changelog ===
freedombox (25.9.4) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * distupgrade: Handle comments in sources.list file
  * distupgrade: Update Trixie's release date as announced

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 02 Aug 2025 08:06:57 -0400

## freedombox 25.10~bpo13+1

=== debian/changelog ===
freedombox (25.10~bpo13+1) trixie-backports; urgency=medium

  * debian: Set the branch for trixie-backports
  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 02 Sep 2025 17:07:41 -0400

freedombox (25.10) unstable; urgency=medium

  [ kosagi ]
  * Translated using Weblate (Catalan)

  [ Sunil Mohan Adapa ]
  * uninstall: Use reverse order when uninstalling components
  * letsencrypt: Drop old app migration code
  * names: Add information about adding static domains/subdomains
  * dynamicdns: Add info about subdomains with Foundation's service
  * action_utils: Add support for device mappings in podman containers
  * action_utils: Allow checking result for service operations
  * container: Add component for managing containers using podman
  * matrixsynapse: Drop help text for domain selection dropdown
  * forms: Allow showing a None option during domain selection
  * apache: Allow customization to the root of a site
  * apache: Generalize TLS config to use certificates only if available
  * apache: Add component to host an app on a site's root
  * apache, letsencrypt: Create a site specific config for all domains
  * config: Allow better Apache default home page
  * templates: Show Launch web client button for all FreedomBox URLs
  * homeassistant: Add the most popular app for home automation
  * dynamicdns: Fix a type check error
  * notifications: Minor styling fix for operation notifications
  * doc: Update man page with option --version
  * *: Update copyright year
  * pyproject: Add missing pytest marker for "tags"
  * setup: Perform a check for app availability after the page loads
  * package: Refresh apt cache if old and some packages are not found
  * ui: Use system's UI fonts on all platforms instead of Lato
  * module_loader: Don't load modules again
  * app: Don't load apps again
  * actions: Add method to handle privileged JSON request to a server
  * privileged: Introduce a UNIX socket daemon for privileged calls
  * privileged: Add /bin file for privileged daemon
  * privileged: Add systemd units for socket activating the daemon
  * Makefile: Developer setup for privileged daemon
  * actions: Allow logging privileged calls to a server differently
  * actions: Call to a privileged server if it is available
  * tests: Ensure that privileged daemon is not used during tests
  * actions: Raise a proper exception if privileged module is not found
  * views: Remove unused code related to refresh packages button
  * package: Uninstall packages even if they are not in apt cache
  * d/control: Drop dependency on python3-setuptools-git
  * ui: Fix user menu popup overflowing beyond the page
  * sogo: Allow adding IMAP accounts and changing full name
  * dovecot: Allow login using email address with dovecot version 2.4
  * dovecot: Fix location of Inbox in dovecot 2.4
  * email: Increment app version number to trigger dovecot restart

  [ Priit Jõerüüt ]
  * Translated using Weblate (Estonian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * plinth: Add --version flag to print version and exit
  * debian: Print warning if version mismatch
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ தமிழ்நேரம் ]
  * Translated using Weblate (Tamil)

  [ Joseph Nuthalapati ]
  * tiddlywiki: Don't allow index.html as a file name
  * featherwiki: Don't allow index.html as a file name
  * tiddlywiki: Avoid "412: Precondition failed" error
  * featherwiki: Disable caching to avoid 412 errors
  * diagnostics: Add collapsible sections for results
  * dynamicdns: Switch update client to HTTP protocol
  * notifications: Fix setting last_update_time
  * notifications: Add datetime to each notification
  * apache: Make all directory listings more mobile friendly
  * apps: Fix regression in enabling install button
  * actions:privileged: Fix flake8 errors

  [ Benedek Nagy ]
  * email: Add full text search capability

  [ Alexandre Detiste ]
  * debian, pyproject.toml: Remove ancient python3-tomli workaround
    (Closes: #1105937)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 18 Aug 2025 20:58:44 -0400

=== debian/control ===
--- 
+++ 
@@ -50,10 +50,7 @@
  python3-requests,
  python3-ruamel.yaml,
  python3-setuptools,
- python3-setuptools-git,
  python3-systemd,
-# python3-tomli is needed by python3-coverage when pyproject.toml is used
- python3-tomli,
  python3-typeshed,
  python3-yaml,
  sshpass,
@@ -61,7 +58,7 @@
  xsltproc
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freedombox-team/freedombox
-Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git -b debian/trixie
+Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git -b debian/trixie-backports
 Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
 Rules-Requires-Root: no
 
@@ -82,7 +79,6 @@
  curl,
  debconf,
  fonts-fork-awesome,
- fonts-lato,
 # sgdisk is used in storage app to expand GPT disks
  gdisk,
  gettext,
